# Generated from splicer-rackspace-1.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name splicer-rackspace

Name: rubygem-%{gem_name}
Version: 1.0.2
Release: 1%{?dist}
Summary: Use this gem together with Splicer if you are using multiple DNS providers, and want a unified interface to manage each of them simultaneously
License: MIT
URL: https://github.com/pressable/splicer-rackspace
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.4.0
# BuildRequires: rubygem(rspec) < 3.5
# BuildRequires: rubygem(rspec) >= 3.4.0
BuildArch: noarch

%description
The Splicer adapter for interacting Rackspace Cloud DNS.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/splicer-rackspace.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 1.0.2-1
- Initial package
